oracle.kv.avro

## Class UndefinedSchemaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.kv.FaultException
        - - oracle.kv.avro.UndefinedSchemaException

- All Implemented Interfaces:
    Serializable

      public class UndefinedSchemaException
      extends FaultException

  Thrown when the application attempts to use a schema that has not been defined using the NoSQL Database administration interface.

  As described in detail under Avro Schemas in the `AvroCatalog` class documentation, all schemas must be defined using the NoSQL Database administration interface before they can be used to store values.

  Depending on the nature of the application, when this exception is thrown the client may wish to

  - retry the operation at a later time, if the schema is expected to be available,
  - give up and report an error at a higher level so that a human being can be made aware of the need to define the schema.

  WARNING: Blocking and internal schema queries may occur frequently if multiple threads repeatedly try to use a schema that is undefined in the store. To avoid this, it is important to delay before retrying an operation using the undefined schema.

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSchemaName()` Returns the full name of the undefined schema.

    - ### Methods inherited from class oracle.kv.FaultException

      `getFaultClassName, getRemoteStackTrace, toString, wasLoggedRemotely`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Returns the full name of the undefined schema.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.